Subject: Re: [PATCH] FCC: fix confused base / offset

From: Scott Wood <[email-masked]>
Date: Wed, 09 Apr 2008 12:39:48 -0500

Sascha Hauer wrote:
> Right, so it's probably not worth the effort. I stumbled on this while
> porting my board to the new binding code. I was quite confused when
> seeing this so I made this fix to understand what's going on here.
> 
> BTW have you tested the FCC driver with the new binding code?

Yes.

> I do not
> manage to get it working. Everything seems to be fine but
> fs_enet_start_xmit does not send a packet and no interrupts are
> arriving.

What does your device tree look like?  Are all the pins and clocks set 
up properly?  Does the PHY negotiate OK?  Is any error reported in the 
descriptor?

>> Does this break arch/ppc, BTW?
> 
> Yes. arch=ppc is out of my scope, so I forget about it regularly, sorry.
> It breaks arch/ppc/platforms/mpc8272ads_setup.c which can be easily
> fixed though. But as the mpc8272ads is supported with arch=powerpc,
> shouldn't it go away anyway?

arch/ppc is going away entirely in June or so.  !CONFIG_PPC_NEW_BINDING 
in arch/powerpc is going away as soon as I can unlazy myself enough to 
send a patch. :-)

-Scott